
TYPO3.Flow - Bug # 46883

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Persistence
Created: 2013-04-03 Assigned To: Bastian Waidelich
Updated: 2013-04-09 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 2.0
Subject: Custom identifiers are not working anymore
Description

https://review.typo3.org/#/c/18954/ introduced a regression that prevents entities with custom identifier columns to be working
correctly.
The actual issue is probably, that the "PersistenceMagicAspect" introduces the "Persistence_Object_Identifier" even if the entity
contains a custom identifier. By checking for that property first, PersistenceManager::getIdentifierByObject() will always return a
UUID regardless of the actual identifier – breaking links and such.

Related issues:
related to TYPO3.Flow - Bug # 43192: findByIdentifier() for non-persisted obj... Accepted 2012-11-21

Associated revisions
Revision cd38544b - 2013-04-04 16:14 - Bastian Waidelich

[BUGFIX] Reintroduce support for entities with custom id properties

This adjusts the pointcut expressions of the PersistenceMagicAspect
to introduce UUID identifiers only to entities that do not contain custom
identifier properties (annotated with @ORM\Id).

This change also refactors the unit tests and adds functional tests for
the aspect.

Change-Id: I0da12aefeeaa0e92b48b85a79e774efa738a2e49
Fixes: #46883
Releases: master, 2.0

Revision 20270da5 - 2013-04-04 16:17 - Bastian Waidelich

[BUGFIX] Reintroduce support for entities with custom id properties

This adjusts the pointcut expressions of the PersistenceMagicAspect
to introduce UUID identifiers only to entities that do not contain custom
identifier properties (annotated with @ORM\Id).

This change also refactors the unit tests and adds functional tests for
the aspect.

Change-Id: I0da12aefeeaa0e92b48b85a79e774efa738a2e49
Fixes: #46883

2015-08-04 1/3

https://review.typo3.org/#/c/18954/


Releases: master, 2.0

History
#1 - 2013-04-03 11:01 - Bastian Waidelich
- Subject changed from custom identifiers are not working anymore to Custom identifiers are not working anymore

#2 - 2013-04-03 11:18 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#3 - 2013-04-03 12:02 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19532

#4 - 2013-04-03 12:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19532

#5 - 2013-04-04 16:09 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19532

#6 - 2013-04-04 16:12 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19532

#7 - 2013-04-04 16:15 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19532

#8 - 2013-04-04 16:29 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19559

#9 - 2013-04-09 15:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:20270da59e12142d4a4e9282bfe779505a9998a5.
